
clear
use data.dta
drop city
tsset code year
gen input = (f1+f2+f3+f4)/4
gen output= (f5+f6+f7+f8)/4
winsor2 input output f1 f2 f3 f4 f5 f6 f7 f8, cut(1 99) replace
tsset code year
xtreg output f1 ,fe 
outreg2 using "D:\绿金指数\-05-results\structure.xls", ctitle("f1")
xtreg output l.f1 ,fe 
outreg2 using "D:\绿金指数\-05-results\structure.xls", ctitle("f1")
xtreg output l2.f1 ,fe 
outreg2 using "D:\绿金指数\-05-results\structure.xls", ctitle("f1")
xtreg output f2 ,fe 
outreg2 using "D:\绿金指数\-05-results\structure.xls", ctitle("f2")
xtreg output l.f2 ,fe 
outreg2 using "D:\-05-results\structure.xls", ctitle("f2")
xtreg output l2.f2 ,fe 
outreg2 using "D:\绿金指数\-05-results\structure.xls", ctitle("f2")
xtreg output f3 ,fe 
outreg2 using "D:\绿金指数\-05-results\structure.xls", ctitle("f3")
xtreg output l.f3 ,fe 
outreg2 using "D:\绿金指数\-05-results\structure.xls", ctitle("f3")
xtreg output l2.f3 ,fe 
outreg2 using "D:\绿金指数\-05-results\structure.xls", ctitle("f3")
xtreg output f4 ,fe 
outreg2 using "D:\绿金指数\-05-results\structure.xls", ctitle("f4")
xtreg output l.f4 ,fe 
outreg2 using "D:\绿金指数\-05-results\structure.xls", ctitle("f4")
xtreg output l2.f4 ,fe 
outreg2 using "D:\绿金指数\-05-results\structure.xls", ctitle("f4")


clear
insheet using  "D:\绿金指数\-02-raw data\rank.csv", clear
drop city
tsset code year

gen input = (f1+f2+f3+f4)/4
gen output= (f5+f6+f7+f8)/4

bysort code:egen sdf1=sd(f1)
bysort code:egen sdf2=sd(f2)
gen f1_sdf1=l.f1*sdf1
gen f2_sdf2=l.f2*sdf2
winsor2 input output f1_sdf1  f2_sdf2 f1 f2 f3 f4 f5 f6 f7 f8, cut(1 99) replace 
xtreg output  l.output l.f1 l.f2 l.f3 l.f4 f1_sdf1 ,fe 
outreg2 using "D:\绿金指数\-05-results\Dynamic.xls", ctitle("variance_F1'")
xtreg output l.output l.f1 l.f2 l.f3 l.f4 f2_sdf2 ,fe 
outreg2 using "D:\绿金指数\-05-results\Dynamic.xls", ctitle("variance_F2'")

clear
insheet using  "D:\绿金指数\-02-raw data\rank.csv", clear
xtset code year
gen input = (f1+f2+f3+f4)/4
gen output= (f5+f6+f7+f8)/4

gen F11_high=1
gsort year -x11
bysort year:gen t=_n
replace F11_high=0 if t>55
gen F11_low=1
replace F11_low=0 if t<56

gen F22_high=1
gsort year -x22
bysort year:gen T=_n
replace F22_high=0 if T>55
gen F22_low=1
replace F22_low=0 if T<56

xtset code year
gen f1_high=l.f1*F11_high
gen f1_low=l.f1*F11_low
gen f2_high=l.f2*F22_high
gen f2_low=l.f2*F22_low
winsor2 f1 f2 f3 f4 f5 f6 f7 f8 , cut(1 99) replace 
xtset code year
xtreg output l.output l.f2 l.f3 l.f4 f1_high f1_low ,fe 
outreg2 using "D:\绿金指数\-05-results\Dynamic.xls", ctitle("xuanchuan")
xtreg output  l.output l.f1 l.f3 l.f4 f2_high  f2_low ,fe 
outreg2 using "D:\绿金指数\-05-results\Dynamic.xls", ctitle("caizhengzhichu")
gen f1_f2= l.f1*l.f2
xtreg output l.output l.f1 l.f2 l.f3 l.f4 f1_f2 ,fe 
outreg2 using "D:\绿金指数\-05-results\Dynamic.xls", ctitle("interact")
